List ring groups
GET
/v1/voice/ring-groupsconst groups = await bird.voice.ringGroups.list();
for (const group of groups.data) {
console.log(group.id, group.name, group.online_member_count);
}groups = client.voice.ring_groups.list()
for group in groups.data:
print(group.id, group.name, group.online_member_count)groups, err := client.Voice.RingGroups.List(context.Background())
if err != nil {
log.Fatal(err)
}
for _, group := range groups.Data {
fmt.Println(group.Id, group.Name, group.OnlineMemberCount)
}$groups = $bird->voice->ringGroups->list();
foreach ($groups->getData() ?? [] as $group) {
echo $group->getId(), ' ', $group->getName(), ' ', $group->getOnlineMemberCount(), "\n";
}bird voice ring-groups listcurl -X GET "https://us1.platform.bird.com/v1/voice/ring-groups" \
-H "Authorization: Bearer $TOKEN"Respons200
{
"data": [
{
"id": "vrg_01j8z5k2qvfpx9m3n7r4t6y8bc",
"name": "Default",
"is_default": true,
"online_member_count": 5,
"created_at": null,
"updated_at": null
},
{
"id": "vrg_01krdgeqcxet5s7t44vh8rt9mg",
"name": "Support",
"is_default": false,
"online_member_count": 3,
"created_at": "2026-10-01T12:00:00Z",
"updated_at": "2026-10-01T12:00:00Z"
}
]
}
Returns the workspace's ring groups. The first is always the default group, which is not stored: it rings the users who are online in the browser phone. The others follow, oldest first.
Payload Respons
dataarray of object
wajib
The default group first, then the other ring groups, oldest first.
Sumber daya terkait
Lanjutkan dengan dokumentasi, panduan, dan contoh untuk topik ini.